Debian Bug report logs - #457345
Please allow source package format "3.0 (quilt)" and "3.0 (native)"

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Felipe Sateler <fsateler@gmail.com>

Date: Fri, 21 Dec 2007 18:18:01 UTC

Severity: wishlist

Tags: patch

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#457345; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Felipe Sateler <fsateler@gmail.com>:
New Bug report received and forwarded. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Felipe Sateler <fsateler@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dak: please allow orig.tar.bz
Date: Fri, 21 Dec 2007 15:09:55 -0300
Package: ftp.debian.org
Severity: wishlist

dpkg has had support for orig.tar.bz2 and diff.bz2 for a while now. It
is useless, however, until dak accepts such packages. I checked out [1]
and there doesn't seem to be any support for it whatsoever. 

[1] http://ftp-master.debian.org/bzr/ftpmaster-dak/

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-k7 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#457345; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #10 received at 457345@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Felipe Sateler <fsateler@gmail.com>, 457345@bugs.debian.org
Cc: aba@debian.org
Subject: Please allow source package format "3.0 (quilt)" and "3.0 (native)"
Date: Thu, 10 Apr 2008 12:34:48 +0200
retitle 457345 Please allow source package format "3.0 (quilt)" and "3.0 (native)"
submitter 457345 Felipe Sateler <fsateler@gmail.com>, Raphael Hertzog <hertzog@debian.org>
thanks

On Fri, 21 Dec 2007, Felipe Sateler wrote:
> dpkg has had support for orig.tar.bz2 and diff.bz2 for a while now.

Note howewer that such source packages are not marked "Format: 1.0".
Anyway, I'm replacing this wishlist request by a more generic request. 

Much work has been done on the dpkg-source side and since dpkg 1.14.17
we have support of many new source package formats (and they all support
gzip, bzip2 and lzma compression). Please check dpkg-source's manual page
for more information on those formats. You can create such source
packages with dpkg-source --format="3.0 (quilt)" -b mysrcpkg

It would be great if dak was able to cope with all of those new formats
but realistically I only want the "3.0 (quilt)" and "3.0 (native)" formats
to be accepted on ftp-master.

I would like to change dpkg-source's default output format in lenny+1
to "3.0 (quilt)" so it would be great if dak could be made to support
them. And a test dak repository to play with can be a good idea (CCing
Andreas Barth as he had some preminilary support for wig&pen in dak, maybe
he can point us to he code or help with the work).

I think I have added all the required support in the format "3.0 (quilt)"
so that extracting a Format: 1.0 source package with dpkg-source -x
followed by dpkg-buildpackage would provide a valid source package in
"Format: 3.0 (quilt)" that can be successfully built in all cases (if I
change the default output format in dpkg-source, cf @build_formats
at the top of dpkg-source).

Feel free to ask if you've got questions.

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Changed Bug title to `Please allow source package format "3.0 (quilt)" and "3.0 (native)"' from `dak: please allow orig.tar.bz'. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Thu, 10 Apr 2008 10:36:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#457345; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #17 received at 457345@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 457345@bugs.debian.org
Subject: should also accept 3.0 (git)
Date: Fri, 11 Apr 2008 20:28:45 -0400
[Message part 1 (text/plain, inline)]
Subject says it all, really.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#457345; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #22 received at 457345@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Joey Hess <joeyh@debian.org>, 457345@bugs.debian.org
Subject: Re: Bug#457345: should also accept 3.0 (git)
Date: Sat, 12 Apr 2008 09:47:57 +0200
On Fri, 11 Apr 2008, Joey Hess wrote:
> Subject says it all, really.

Please note however that dpkg-dev doesn't have the required dependency to
ensure that dpkg-source -x works on "3.0 (git)". But "3.0 (quilt)"
works as quilt is not needed to unpack/build such source
packages.

I also think that the "3.0 (git)" format would benefit from some further
work... for instance I'd like the git version to be added in a header in
the .dsc so that if Git's internal format changes in some incompatible way
it's possible to identify which source package use the old format. 
Adding the Git version should be trivial but maybe Git provides more
accurate information for the internal format of its packs. I have not
researched the topic.

And at the present time, I consider the "3.0 (git)" format only adapted
for replacing native packages. Each revision requires upload of a full new
tarball.

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#457345; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #27 received at 457345@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 457345@bugs.debian.org
Subject: Re: Bug#457345: should also accept 3.0 (git)
Date: Sat, 12 Apr 2008 12:47:41 -0400
[Message part 1 (text/plain, inline)]
Raphael Hertzog wrote:
> I also think that the "3.0 (git)" format would benefit from some further
> work... for instance I'd like the git version to be added in a header in
> the .dsc

What git version? Git repositories do not have a version number.

> so that if Git's internal format changes in some incompatible way
> it's possible to identify which source package use the old format. 

If git's "internal" (aka "external") format changes in some incompatible
way, then every published git repo on the internet will be broken.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#457345; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Paul Hedderly <paul@mjr.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #32 received at 457345@bugs.debian.org (full text, mbox):

From: Paul Hedderly <paul@mjr.org>
To: 457345@bugs.debian.org
Subject: Git support
Date: Wed, 04 Jun 2008 20:22:15 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

One thought...

What I would really like to be able to do is not give dak a source
package at all!

I would really like to just say to it 'pull tag "debian/1.2-9" from
"git://foo.bar/wibble.git'

The debian build infrastructure would not store a 'source binary' but
instead pull the git commit specified (first to a temporary place
before it checks the signature of specified tag and then into the
central git-source archive. It would then schedule the buildds to pull.

The git or svn (ugh) or hg source and commit/tag/id could be supplied
in a signed dsc file still. The main package archive could have
generated tar.gz's if deemed necessary, but all the source and history
would be available in git://git.debian.org/<package>
(s/git/hg/otherpoison/)

It would mean that development of the upstream and the debian
packaging can be done in the same master git archive of the upstream
project since the tags can be signed by the DD.

I can see a huge benefit... If you remember the SSL debacle a couple
of weeks back - had the debian changes been in the OpenSSL archive (as
a debian branch) then the SSL guys would not be able to say we were
messing things up in isolation...

- --
I'll pull my oar out now.
Paul
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: GNU Privacy Guard
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFIRutmx5g40ENjN90RAhEOAKCuvuS2gFsJPa5y+l63GWb5Sn/ShACgwH+r
cEZg8NeQFzuIq9KuJnZAF1U=
=1bAd
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#457345; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to George Danchev <danchev@spnet.net>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #37 received at 457345@bugs.debian.org (full text, mbox):

From: George Danchev <danchev@spnet.net>
To: 457345@bugs.debian.org
Cc: joeyh@debian.org, hertzog@debian.org
Subject: Re: Bug#457345: should also accept 3.0 (git)
Date: Sun, 15 Jun 2008 16:36:34 +0300
> Raphael Hertzog wrote:
> > I also think that the "3.0 (git)" format would benefit from some further
> > work... for instance I'd like the git version to be added in a header in
> > the .dsc

> What git version? Git repositories do not have a version number.

Not quite true. Git repository format is currently set to 0.
$ head .git/config
[core]
        repositoryformatversion = 0

$ builtin-init-db.c:repository_format_version != GIT_REPO_VERSION
$ setup.c: inspect check_repository_format* functions.

> > so that if Git's internal format changes in some incompatible way
> > it's possible to identify which source package use the old format. 

> If git's "internal" (aka "external") format changes in some incompatible
> way, then every published git repo on the internet will be broken.

might be quite unlikely, but possible, so I find Raphael suggestion of adding 
git repo format version to *.dsc absolutely reasonable and wise.

-- 
pub 4096R/0E4BD0AB 2003-03-18 <people.fccf.net/danchev/key pgp.mit.edu>
fingerprint 1AE7 7C66 0A26 5BFF DF22 5D55 1C57 0C89 0E4B D0AB 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#457345; Package ftp.debian.org. (Sat, 27 Sep 2008 06:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to A Mennucc1 <debdev@tonelli.sns.it>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sat, 27 Sep 2008 06:42:03 GMT) Full text and rfc822 format available.

Message #42 received at 457345@bugs.debian.org (full text, mbox):

From: A Mennucc1 <debdev@tonelli.sns.it>
To: 457345@bugs.debian.org
Subject: new dpkg-source formats in experimental
Date: Sat, 27 Sep 2008 08:38:03 +0200
[Message part 1 (text/plain, inline)]
What about letting new	formats	in experimental	to start with?
It would be a nice way to start testing the whole infrastructure
(buildds, PTS, etc etc)

a.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#457345; Package ftp.debian.org. (Sun, 14 Dec 2008 20:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sun, 14 Dec 2008 20:39:02 GMT) Full text and rfc822 format available.

Message #47 received at 457345@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 457345@bugs.debian.org
Subject: Re: Please allow source package format "3.0 (quilt)" and "3.0 (native)"
Date: Sun, 14 Dec 2008 20:36:08 +0000 (UTC)
-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

I would also like to see support for these two formats, because my
(currently) two packages could benefit from it somewhat.

The problem is mostly that, while one can keep the debian/ stuff in
CVS, dpkg-source does *not* ignore the CVS/ directories (for .diff.gz)
which, in turn, makes lintian complain.

Note that dpkg-genchanges 1.14.23 complains about the Format: field.

bye,
//mirabilos
- -- 
Sometimes they [people] care too much: pretty printers [and syntax highligh-
ting, d.A.] mechanically produce pretty output that accentuates irrelevant
detail in the program, which is as sensible as putting all the prepositions
in English text in bold font.	-- Rob Pike in "Notes on Programming in C"
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (MirBSD)

iQIcBAEBAwAGBQJJRW49AAoJEHa1NLLpkAfgMmIQALpZDUamv1RbkpaoChkGdaCt
l7Kw9/Ix85kvyiQ2aeZ7SrxkghH9qs8cQYiViqSPvShZihQDn9DtBeZ6ftyT6PAc
ovs4em7nYatxa5stbxH9xqZOflLS7VGPnd60F6ZxnrK1IutrDzi1r6ufIHjEH4Us
qS3utL3RftKIdmRyOG3zvgfZU8WjYtcTlgcUaVH2Keh2y9aZVhBf8dO4qx8S2gFO
O8ROBVZGl8TXWINXxsv/Xa5RHK+Gq3Gv3fzXqXVdnxqKlXPfkXS4Onh+kCYpyNcg
p+Cp3UARSQ/PxN25tPtCJZSCGFCXOlV58soLDkItc3zUrmherhhLv5BomwjxdW69
4kY7inPmk4BAum4Kbj22Yar63uZ4f7ZE3B6R+608UFgKDbbhdyckMdXR5XwDfGEX
YNGzRiEjKvNAvzoKwhGHcqemsgHe9rSFiJe5H0DSqv/LPszU2nCAzsemM7faWfCF
4kir3jHfkdBLtcgL4Y/57ArHVhiSIm3oDI2V2z0nKRWnqNDiYH5/lmlxWTjda5d9
+sQiGomlUlg0g0KgC0EKH2GL64mOPaoCfTqzir5HQM7yX/TduMUBwN/aNaztYRrW
2QlB8IwWU3CPhQN2pDSkjiqB+Zy9aoKrGpdUKK14BZrbCl0NnjpvNrd7qB79sNOn
XaT1WTkW7w+Ey6jB2YU/
=g10W
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#457345; Package ftp.debian.org. (Mon, 16 Feb 2009 23:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Mon, 16 Feb 2009 23:03:02 GMT) Full text and rfc822 format available.

Message #52 received at 457345@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 457345@bugs.debian.org
Subject: Re: Please allow source package format "3.0 (quilt)" and "3.0 (native)"
Date: Tue, 17 Feb 2009 00:02:10 +0100
Hello,

On Thu, 10 Apr 2008, Raphael Hertzog wrote:
> Much work has been done on the dpkg-source side and since dpkg 1.14.17
> we have support of many new source package formats (and they all support
[…]
> It would be great if dak was able to cope with all of those new formats
> but realistically I only want the "3.0 (quilt)" and "3.0 (native)" formats
> to be accepted on ftp-master.
> 
> I would like to change dpkg-source's default output format in lenny+1
> to "3.0 (quilt)" so it would be great if dak could be made to support
> them.
 
Lenny+1 is now. I would now like to have some feedback from the FTP team.

Did someone start working on that?

Can it be implemented on the current codebase or did you plan to add
this support only in some future version (the one with the new DB schema
for instance)?

Can someone mentor me in the dak codebase if I want to start working
on the corresponding dak patch?

In any case, I'd like to get the ball rolling so that we can switch early
in the cycle. It's always best for changes that affect the whole archive…

> I think I have added all the required support in the format "3.0 (quilt)"
> so that extracting a Format: 1.0 source package with dpkg-source -x
> followed by dpkg-buildpackage would provide a valid source package in
> "Format: 3.0 (quilt)" that can be successfully built in all cases (if I
> change the default output format in dpkg-source, cf @build_formats
> at the top of dpkg-source).

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#457345; Package ftp.debian.org. (Thu, 26 Feb 2009 13:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike O'Connor <stew@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Thu, 26 Feb 2009 13:12:05 GMT) Full text and rfc822 format available.

Message #57 received at 457345@bugs.debian.org (full text, mbox):

From: Mike O'Connor <stew@debian.org>
To: 457345@bugs.debian.org
Subject: Re: Please allow source package format "3.0 (quilt)" and "3.0
Date: Thu, 26 Feb 2009 08:08:40 -0500
[Message part 1 (text/plain, inline)]
On Tue, 17 Feb 2009 Raphael Hertzog wrote:

>Lenny+1 is now. I would now like to have some feedback from the FTP
> team.

> Did someone start working on that?

We've not even really started to approach this subject yet.  We are
currently working on a lot of other things in dak that we were waiting
for lenny+1 to do. Much of what we are working on is a much needed
overhaul of the dak code which makes sense to us to do before we take on
what would be a very large change in dak to handle the new source
formats.  Changes for the new source formats are probably going to
require a lot of thinking before we start patching.

We currently do not have any particular timeframe in mind, other that
"probably not soonish".

stew
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#457345; Package ftp.debian.org. (Wed, 04 Mar 2009 10:00:05 GMT) Full text and rfc822 format available.

Message #60 received at 457345@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: debian-dak@lists.debian.org
Subject: Support for source formats 3.0 (quilt) and 3.0 (native)
Date: Mon, 2 Mar 2009 22:05:40 +0100
Hi,

I have prepared a set of patches to add support of the new source formats
to dak. It's in the pu/deb-src-3.0 branch in my git repo:
git://git.debian.org/users/hertzog/dak.git
http://git.debian.org/?p=users/hertzog/dak.git;a=shortlog;h=refs/heads/pu/deb-src-3.0

I have succesfully uploaded packages using source formats 3.0 (quilt) and
3.0 (native). I also tested with a package using multiple .orig tarballs
and with other compressions schemes than gzip. If you want to create such
test packages, just do this with normal package:
$ mkdir -p debian/source
$ echo "3.0 (quilt)" >debian/source/format
$ debuild

I also tested the move of packages between two locations/component
(main->non-free). I tested uploads that required new processing
and some that did not.

The support of multiple .orig tarballs has consequences on the .dak format but
I added support to read both the old and the new format so that an upgraded dak
can still deal with old .dak lying around in various queues.

I added a configuration parameter to define the set of formats accepted.

Please review the patches and share your comments. Let me know if I missed
some updates.

It's not as big a change as I feared:
$ git diff --stat master..
 config/debian/dak.conf   |    5 ++
 dak/check_archive.py     |   27 ++++------
 dak/import_archive.py    |   16 +++---
 dak/process_accepted.py  |   58 ++++++++++++----------
 dak/process_unchecked.py |   59 ++++++++---------------
 dak/show_new.py          |    6 ++-
 daklib/queue.py          |  120 +++++++++++++++++++++++++++-------------------
 daklib/regexes.py        |    6 ++-
 daklib/utils.py          |  101 +++++++++++++++++++++++++++++++++++++-
 9 files changed, 252 insertions(+), 146 deletions(-)

That said, if you have refactoring going on in parallel, it would be nice
to have it finalized and merged in tho not-too-distant future to avoid problems
to keep it up-to-date.

Cheers,
  Raphael.

$ git log --stat --reverse master..
commit bbb79e472bfb0985a1dda37ab98290eb80e203b2
Author: Raphael Hertzog <hertzog@debian.org>
Date:   Sat Feb 28 17:39:31 2009 +0100

    daklib/regexes.py: updates to support new source files
    
    The regex re_issource is modified to recognize the new compression scheme
    supported by the 3.0 source package formats. Also add the
    the debian.tar file used by 3.0 (quilt) and 2.0 and the
    .orig-component.tar for additional upstream tarballs.
    
    Add a new regex re_is_orig_source to know if a file correspond
    to some upstream source tarballs (where the version should not have a
    debian revision).
    
    Add new regexes re_source_ext and re_orig_source_ext to match only the
    extension of source files. And reuse those in the definition of
    re_is_orig_source and re_issource to avoid duplication.
    
    Signed-off-by: Raphael Hertzog <hertzog@debian.org>

 daklib/regexes.py |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 6aa3d6016c935d35bb95b028b2c271253dbc809c
Author: Raphael Hertzog <hertzog@debian.org>
Date:   Sat Feb 28 19:26:52 2009 +0100

    dak process-unchecked: new parameter for accepted source formats
    
    Add a new parameter Dinstall::AllowedSourceFormats listing the set of
    source package formats accepted in the archive.
    
    check_dsc() in p-u enhanced to only allow source packages with the allowed
    formats. Also add lots of sanity checks ensuring that the right files are
    there for each format. Put those sanity checks into utils so that they can
    be reused by check-archive too.
    
    Signed-off-by: Raphael Hertzog <hertzog@debian.org>

 config/debian/dak.conf   |    5 ++
 dak/process_unchecked.py |   28 +++++--------
 daklib/utils.py          |   97 +++++++++++++++++++++++++++++++++++++++++++++-
 3 files changed, 111 insertions(+), 19 deletions(-)

commit 78f9a6c92746e975b369ef2e9ccd716803291ba1
Author: Raphael Hertzog <hertzog@debian.org>
Date:   Sat Feb 28 23:38:34 2009 +0100

    Fix utils.build_file_list() for 3.x source packages
    
    Let utils.build_file_list() know that we understand newer
    formats like 3.0 (quilt) or 3.0 (native).
    
    Signed-off-by: Raphael Hertzog <hertzog@debian.org>

 daklib/utils.py |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 6a17e55e0e01d25b97fc87f3b4e1f8d32e423a64
Author: Raphael Hertzog <hertzog@debian.org>
Date:   Sat Feb 28 21:13:01 2009 +0100

    queue.Upload: add support for multiple orig tarballs
    
    Structure of Upload.pkg is adapted to handle multiple upstream tarballs.
    This also means that the .dak format is modified.
    
    Since the .dak format has been modified, improve the update_vars()
    funtion to be able to read both the new and the old format. When
    reading the old format, it auto-converts the data to the new structure.
    It uses python's type() introspection to know what format is used.
    
    This allows in-place upgrade even when old .dak are still stored
    in various queues.
    
    Signed-off-by: Raphael Hertzog <hertzog@debian.org>

 daklib/queue.py |   93 +++++++++++++++++++++++++++++++++++-------------------
 1 files changed, 60 insertions(+), 33 deletions(-)

commit e91e0581bb65d50e29f90b5051eb05f1c7a34d99
Author: Raphael Hertzog <hertzog@debian.org>
Date:   Sat Feb 28 22:17:25 2009 +0100

    Fix queue.get_type() to handle all source files extensions

 daklib/queue.py |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 7ff0df024c3045a2dfa7a4f1f41a631fe300aeac
Author: Raphael Hertzog <hertzog@debian.org>
Date:   Sat Feb 28 21:41:33 2009 +0100

    Remove dead code in p-u and queue.Upload
    
    Upload.check_source_against_db() never returns a second parameter
    that is not None. The only code path that returned a value there
    was disabled with "and False". Thus remove all the dead code
    in queue.Upload and p-u.
    
    Signed-off-by: Raphael Hertzog <hertzog@debian.org>

 dak/process_unchecked.py |   14 --------------
 daklib/queue.py          |   30 +++++++++++-------------------
 2 files changed, 11 insertions(+), 33 deletions(-)

commit f148a535c9980dc00a779e6d945b8c50aca7744c
Author: Raphael Hertzog <hertzog@debian.org>
Date:   Sat Feb 28 21:47:38 2009 +0100

    dak process-unchecked: add support for multiple orig tarballs
    
    Signed-off-by: Raphael Hertzog <hertzog@debian.org>

 dak/process_unchecked.py |   17 ++++++++++-------
 1 files changed, 10 insertions(+), 7 deletions(-)

commit c6797133fe0c4c0c2195a369bf0bb6b8ccc90481
Author: Raphael Hertzog <hertzog@debian.org>
Date:   Sat Feb 28 22:50:01 2009 +0100

    dak process-accepted: add support for multiple orig tarballs
    
    Signed-off-by: Raphael Hertzog <hertzog@debian.org>

 dak/process_accepted.py |   58 +++++++++++++++++++++++++---------------------
 1 files changed, 31 insertions(+), 27 deletions(-)

commit 204c0bc329e978a2aef712f135d846fd6c959f41
Author: Raphael Hertzog <hertzog@debian.org>
Date:   Sat Feb 28 23:11:14 2009 +0100

    dak show-new: use new regex to cope with all source files extensions
    
    Signed-off-by: Raphael Hertzog <hertzog@debian.org>

 dak/show_new.py |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 48ece99c0b982486cb130fed3ca8f5977d0a730f
Author: Raphael Hertzog <hertzog@debian.org>
Date:   Sat Feb 28 23:12:40 2009 +0100

    dak import-archive: add support for multiple orig tarballs
    
    Also renamed the variable used for the cache for consistency.
    
    Signed-off-by: Raphael Hertzog <hertzog@debian.org>

 dak/import_archive.py |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit 56156516f98c0447413ea654e66a60c8e97aa4df
Author: Raphael Hertzog <hertzog@debian.org>
Date:   Sat Feb 28 23:42:58 2009 +0100

    dak check-archive: replace check tar-gz-in-dsc
    
    The check tar-gz-in-dsc is replaced by a more meaningful
    test similar to what is done is process-unchecked. The new test
    is called files-in-dsc and verifies that the files listed
    in Files are correct for the format announced in the Format field.
    
    Signed-off-by: Raphael Hertzog <hertzog@debian.org>

 dak/check_archive.py |   27 +++++++++++----------------
 1 files changed, 11 insertions(+), 16 deletions(-)

-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/


-- 
To UNSUBSCRIBE, email to debian-dak-request@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#457345; Package ftp.debian.org. (Tue, 05 May 2009 05:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Tue, 05 May 2009 05:15:02 GMT) Full text and rfc822 format available.

Message #65 received at 457345@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Paul Hedderly <paul@mjr.org>, 457345@bugs.debian.org
Subject: Re: Bug#457345: Git support
Date: Tue, 5 May 2009 07:12:30 +0200
[Message part 1 (text/plain, inline)]
also sprach Paul Hedderly <paul@mjr.org> [2008.06.04.2122 +0200]:
> What I would really like to be able to do is not give dak a source
> package at all!
> 
> I would really like to just say to it 'pull tag "debian/1.2-9" from
> "git://foo.bar/wibble.git'

Yes, that would be nice, but there are still open questions to
solve, e.g. how do you assure that the tag actually builds? This is
why we require at least one binary package with an upload, so that
the build daemons don't have to rake through broken packages and
their admins get annoyed.

I've raised this issue many times in the last 8 years. ;)
My last coherent writeup was
http://madduck.net/blog/2005.08.11:rcs-uploads/, and if you have any
new ideas, please let me know!

When I finish with my research in the weeks to come, I plan to set
up an amd64+i386 build daemon which can build your packages from
source. Then we can investigate this further.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#457345; Package ftp.debian.org. (Tue, 05 May 2009 07:04:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joerg Jaspert <joerg@ganneff.de>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Tue, 05 May 2009 07:04:46 GMT) Full text and rfc822 format available.

Message #70 received at 457345@bugs.debian.org (full text, mbox):

From: Joerg Jaspert <joerg@ganneff.de>
To: 457345@bugs.debian.org
Subject: comments
Date: Tue, 05 May 2009 09:00:47 +0200
Hi

for this bugs completness sake, from the dak channel:

26-04-2009 00:42:21 <Ganneff> buxy: now. 3.0 - your patch doesnt seem to allow to enable the new stuff per suite.
26-04-2009 00:42:49 <Ganneff> buxy: i think, at least until oldstable also knows about it, we need to be able to block uploads to certain suites using the new format. 
like, all proposed-update suites
26-04-2009 00:46:23 <Ganneff> buxy: i think that should be indicated via a flag in the suites table
26-04-2009 00:47:02 <Ganneff> either that or an extra table that knows all the formats and links back to suites
26-04-2009 00:47:13 <Ganneff> the latter is better, so that

27-04-2009 20:07:35 <Ganneff> buxy: did you read my lines in here?
27-04-2009 20:08:13 <buxy> Ganneff: yes, thanks, will update my branch soon
27-04-2009 20:08:18 <Ganneff> good.
27-04-2009 20:08:24 <Ganneff> just making sure it didnt get lost
27-04-2009 20:08:49 <Ganneff> besides that - take your time, up to eternity if you want to :)
27-04-2009 20:09:07 <buxy> with a new updatedb script creating a table for listing all formats
27-04-2009 20:09:35 <buxy> and then some intermediate table to list allowed formats per suite
27-04-2009 20:09:38 <Ganneff> and modifying suite to link to. via a seperate table.
27-04-2009 20:09:39 <Ganneff> yep

-- 
bye, Joerg
> 20. What would you do if you wanted to retire from the project?
Remove the passphrase from the (secret) gpg key and post it to
debian-devel. The keyring maintainers will lock the account ASAP.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#457345; Package ftp.debian.org. (Fri, 08 May 2009 17:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Fri, 08 May 2009 17:30:02 GMT) Full text and rfc822 format available.

Message #75 received at 457345@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Joerg Jaspert <joerg@ganneff.de>
Cc: 457345@bugs.debian.org, debian-dak@lists.debian.org
Subject: Patch for support of new source formats (bis)
Date: Fri, 8 May 2009 19:28:55 +0200
tag 457345 patch
thanks

On Tue, 05 May 2009, Joerg Jaspert wrote:
> 27-04-2009 20:07:35 <Ganneff> buxy: did you read my lines in here?
> 27-04-2009 20:08:13 <buxy> Ganneff: yes, thanks, will update my branch soon

It's updated now:
http://git.debian.org/?p=users/hertzog/dak.git;a=shortlog;h=refs/heads/pu/deb-src-3.0

Only one commit added on top of my branch:
http://git.debian.org/?p=users/hertzog/dak.git;a=commitdiff;h=164b9e6b3b42826353b341faa1b5ed9f536c3ffd

commit 164b9e6b3b42826353b341faa1b5ed9f536c3ffd
Author: Raphael Hertzog <hertzog@debian.org>
Date:   Fri May 8 18:13:08 2009 +0200

    Move list of allowed source formats in the database
    
    * Add dak/dakdb/update13.py to update the database.
    * Add new function get_suite_source_formats(suite) in daklib/database.py.
    * Modify process-unchecked to check that the source format
      is authorized for all the target distributions.


Please review, test and share your comments (and deploy it if all is
fine :)).

Cheers,
-- 
Raphaël Hertzog

Contribuez à Debian et gagnez un cahier de l'admin Debian Lenny :
http://www.ouaza.com/wp/2009/03/02/contribuer-a-debian-gagner-un-livre/




Tags added: patch Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Fri, 08 May 2009 17:30:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#457345; Package ftp.debian.org. (Mon, 11 May 2009 10:51:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Mon, 11 May 2009 10:51:13 GMT) Full text and rfc822 format available.

Message #82 received at 457345@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Joerg Jaspert <joerg@ganneff.de>, 457345@bugs.debian.org
Subject: Re: Bug#457345: comments
Date: Mon, 11 May 2009 12:48:54 +0200
Hi,

Joerg Jaspert wrote:
> 26-04-2009 00:42:49 <Ganneff> buxy: i think, at least until oldstable also knows about it, we need to be able to block uploads to certain suites using the new format. 
> like, all proposed-update suites

That's not possible (and wrong), you should at least allow
testing-proposed-updates. Soon after it will be allowed for sid, people
will use it (and they might need t-p-u uploads someday)

Regards,

Rene




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#457345; Package ftp.debian.org. (Tue, 26 May 2009 19:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Hedderly <paul@mjr.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Tue, 26 May 2009 19:30:02 GMT) Full text and rfc822 format available.

Message #87 received at 457345@bugs.debian.org (full text, mbox):

From: Paul Hedderly <paul@mjr.org>
To: martin f krafft <madduck@debian.org>
Cc: 457345@bugs.debian.org
Subject: Re: Bug#457345: Git support
Date: Tue, 26 May 2009 20:28:12 +0100
On Tue, May 05, 2009 at 07:12:30AM +0200, martin f krafft wrote:
> also sprach Paul Hedderly <paul@mjr.org> [2008.06.04.2122 +0200]:
> > What I would really like to be able to do is not give dak a source
> > package at all!
> > 
> > I would really like to just say to it 'pull tag "debian/1.2-9" from
> > "git://foo.bar/wibble.git'
> 
> Yes, that would be nice, but there are still open questions to
> solve, e.g. how do you assure that the tag actually builds? This is
> why we require at least one binary package with an upload, so that
> the build daemons don't have to rake through broken packages and
> their admins get annoyed.

There is nothing to stop the build daemon creating a "canonical tar".
But the issue you are really pointing to is that "tags" can change....
so we should only use the _SHA-1 of a commit_ since that cannot
(reasonably) change... and if is buildable, then within the same scope
that a tar bundle would be buildable on a different machine/setup then
the same commit would be similarly buildable - in fact - you get more of
a guarruntee of getting exactly the same thing this way - tar files can
be modified...

> I've raised this issue many times in the last 8 years. ;)
> My last coherent writeup was
> http://madduck.net/blog/2005.08.11:rcs-uploads/, and if you have any
> new ideas, please let me know!

I will read that some time - just wish I had more time to do debian
stuff. I've been on the verge of resigning for a while now - keep hoping
to get more involved again all the time :O)
> 
> When I finish with my research in the weeks to come, I plan to set
> up an amd64+i386 build daemon which can build your packages from
> source. Then we can investigate this further.

Cool look forward to seeing how you get on.

--
Paul




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#457345; Package ftp.debian.org. (Tue, 26 May 2009 20:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Tue, 26 May 2009 20:51:02 GMT) Full text and rfc822 format available.

Message #92 received at 457345@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Paul Hedderly <paul@mjr.org>
Cc: 457345@bugs.debian.org
Subject: Re: Bug#457345: Git support
Date: Tue, 26 May 2009 22:48:04 +0200
[Message part 1 (text/plain, inline)]
also sprach Paul Hedderly <paul@mjr.org> [2009.05.26.2128 +0200]:
> There is nothing to stop the build daemon creating a "canonical
> tar". But the issue you are really pointing to is that "tags" can
> change....

In theory, though once published, changing a tag is highly
discouraged, but not impossible.

> so we should only use the _SHA-1 of a commit_ since that cannot
> (reasonably) change... and if is buildable, then within the same
> scope that a tar bundle would be buildable on a different
> machine/setup then the same commit would be similarly buildable
> - in fact - you get more of a guarruntee of getting exactly the
> same thing this way - tar files can be modified...

At some point, with tarballs or tags, signatures come into the
picture. The signing party can be held accountable for subverting
the process.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
it is better to have loved a short man
than never to have loved a tall.
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#457345; Package ftp.debian.org. (Sun, 05 Jul 2009 08:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sun, 05 Jul 2009 08:51:02 GMT) Full text and rfc822 format available.

Message #97 received at 457345@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Joerg Jaspert <joerg@ganneff.de>, 457345@bugs.debian.org, debian-dak@lists.debian.org
Subject: Re: Patch for support of new source formats (bis)
Date: Sun, 5 Jul 2009 10:49:21 +0200
On Fri, 08 May 2009, Raphael Hertzog wrote:
> On Tue, 05 May 2009, Joerg Jaspert wrote:
> > 27-04-2009 20:07:35 <Ganneff> buxy: did you read my lines in here?
> > 27-04-2009 20:08:13 <buxy> Ganneff: yes, thanks, will update my branch soon
> 
> It's updated now:
> http://git.debian.org/?p=users/hertzog/dak.git;a=shortlog;h=refs/heads/pu/deb-src-3.0

It's been over 2 months now, can we get this done? You announced a
delay of 2 months once on IRC, that delay must be over. :-)

Maybe we can sort out everything during debconf if there's more work left?

Cheers,
-- 
Raphaël Hertzog

Contribuez à Debian et gagnez un cahier de l'admin Debian Lenny :
http://www.ouaza.com/wp/2009/03/02/contribuer-a-debian-gagner-un-livre/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#457345; Package ftp.debian.org. (Tue, 25 Aug 2009 17:15:03 GMT) Full text and rfc822 format available.

Message #100 received at 457345@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: debian-devel@lists.debian.org
Subject: Status of new source formats project
Date: Thu, 30 Jul 2009 16:55:16 +0200
Hello,

I updated the wiki page listing the status of this project:
http://wiki.debian.org/Projects/DebSrc3.0

During debconf I used part of my time to push this project forward.

1/ Lucas did again a rebuild of the archive to discover problems that will
appear if all packages are converted to 3.0 (quilt) format. I processed
200 failed build logs and filed some new wishlist bugs to prepare for a
global transition (and fixed a sid-only bug in dpkg-source detected thanks
to this rebuild).
http://bugs.debian.org/cgi-bin/pkgreport.cgi?users=hertzog@debian.org;tag=3.0-quilt-by-default

2/ I prepared some test source packages covering most interesting cases
to try out with various tools, I checked the most important ones (apt-get
source, sbuild) and they do cope with it. I encourage you to test all
other tools and report your success/failures here (and please file bug for
the failures).
http://people.debian.org/~hertzog/packages/debsrc3.0/

3/ I discussed with Jörg Jaspert and Mark Hymers the status of my patch
against dak. Currently they plan to merge my patch after they have
finished to update dak to use sqlalchemy, but given that this is an
intrusive change they will have to test it carefully and Jörg expected
that it will still be 2 to 3 months until they can integrate my patch. :-(

Both patches/branches are going to conflict so someone will have to handle
the merge conflict whatever the merge order is. I offered them to handle
it myself even if my patch is merged now (without conflicting with
anything since the sqlalchemy one is not yet ready/merged). The sqlalchemy
rewrite is not yet public but Mark hopes to publish it this week-end (1-2
Aug). After my upcoming vacation, and if I still can't convince ftpmasters
to merge my working branch immediately I'll create a new branch of my
patch merged with the new sqlalchemy branch so that they have a chance
to push both changes at the same time (or in the order that they want).

This dak modification is the main blocker point for this project to go
forward (and has been so for quite some time already).

4/ I discussed with Luk Claes if anything had to be done on the buildd
side. There's not much to be done there since the new sbuild is working
well with new source formats but there are still some buildd using the old
version. Those have to be updated to the new sbuild and this process has
been ongoing for quite some time already. I pinged some of the concerned
buildd maintainers and provided sample buildd logs generated by the new
sbuild with the new source formats so that they can adapt their build logs
processing scripts immediately.

5/ In all cases, I hope we will enable support of new source formats in
squeeze so that individual packages can switch to it (in particular bigger
packages that would benefit from the multi-tarball thingie). But depending
on the time left before the freeze, we might not start a global transition
to the new formats (i.e. I would not modify dpkg-source to produce newer
source formats when there's no debian/source/format).

Cheers,
-- 
Raphaël Hertzog


-- 
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#457345; Package ftp.debian.org. (Tue, 27 Oct 2009 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Tue, 27 Oct 2009 14:21:08 GMT) Full text and rfc822 format available.

Message #105 received at 457345@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: debian-dak@lists.debian.org
Cc: 457345@bugs.debian.org
Subject: Untested branch of deb-src-3.0 updated for current dak
Date: Tue, 27 Oct 2009 02:53:28 +0100
Hello,

I was not aware that you were planning a meeting this week so I don't have
much free time for coding but I still wanted to try to update my branch
on top of the latest master branch.

I just did that but I did not test it at all... it's already too late for
me I'm afraid. I hope it will help you anyway so that we can have a dak
supporting 3.x source formats soon. If you have questions, feel free to
ask.

Here is the updated branch:
http://git.debian.org/?p=users/hertzog/dak.git;a=shortlog;h=refs/heads/pu/deb-src-3.0-sqla

Cheers,
-- 
Raphaël Hertzog




Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. (Thu, 29 Oct 2009 05:15:10 GMT) Full text and rfc822 format available.

Notification sent to Felipe Sateler <fsateler@gmail.com>:
Bug acknowledged by developer. (Thu, 29 Oct 2009 05:15:17 GMT) Full text and rfc822 format available.

Message #110 received at 457345-done@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: Raphael Hertzog <hertzog@debian.org>, debian-dak@lists.debian.org, 457345-done@bugs.debian.org
Subject: Re: Bug#457345: Untested branch of deb-src-3.0 updated for current dak
Date: Wed, 28 Oct 2009 10:49:35 +0000
Hi,

As we've discussed on IRC, the 3.0 support has been merged into dak and
will be announced shortly.

Thanks,

Mark

-- 
Mark Hymers <mhy at debian dot org>

"The first thing we do, let's kill all the Lawyers"
     Henry VI Part II, Shakespeare




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Nov 2009 07:30:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:28:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.